return {
	"folke/trouble.nvim",
	dependencies = { "nvim-tree/nvim-web-devicons" },
	---@type trouble.Config
	opts = {
		---@type trouble.Window.opts
		win = { type = "split", position = "right" },
		auto_close = true,
	},
	keys = {
		{
			"<leader>xl",
			function()
				require("trouble").toggle({ mode = "loclist" })
			end,
			desc = "Location List (Trouble)",
		},
		{
			"<leader>xq",
			function()
				require("trouble").toggle({ mode = "quickfix" })
			end,
			desc = "Quick fixes (Trouble)",
		},
		{ "<leader>xr", "<cmd>Trouble lsp_references toggle<cr>", desc = "" },
		{ "<leader>xx", "<cmd>Trouble diagnostics toggle<cr>", desc = "Diagnostics (Trouble)" },
	},
}
